# $Revision: 1.23 $, $Date: 2005/06/09 13:16:57 $
# TODO:
# - integrate non english docs

%define	_iconsrc icons_n_logos

Summary:	A GTK+ frontend to CUPS
Summary(pl):	Interfejs GTK+ do CUPS
Name:		gtklp
Version:	1.0d
Release:	1
License:	GPL
Group:		Applications/Printing
Source0:	http://dl.sourceforge.net/gtklp/%{name}-%{version}.src.tar.gz
# Source0-md5:	eacea48c91360bb20133238ce1377359
Source1:	http://dl.sourceforge.net/gtklp/%{_iconsrc}.tar.gz
# Source1-md5:	e6e7f46c1b525c6993eaeee0c61fe5d1
Source3:	%{name}.desktop
URL:		http://gtklp.sourceforge.net/
Patch0:		%{name}-locale_names.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cups-devel >= 1.1.10
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
A GTK+ frontend to CUPS.

%description -l pl
Interfejs GTK+ do CUPS.

%prep
%setup -q
%patch0 -p1

mv -f po/{cz,cs}.po

%build
rm -r missing
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{_iconsrc}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
tar zxf %{SOURCE1} -C $RPM_BUILD_DIR
cd $RPM_BUILD_DIR/%{_iconsrc}
install %{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS TODO USAGE README BUGS AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_pixmapsdir}/%{name}.png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtklp.spec,v $
Revision 1.23  2005/06/09 13:16:57  freetz
- 1.0d

Revision 1.22  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.21  2004/11/09 16:36:11  jasw
- fix Source1 url.

Revision 1.20  2004/11/09 16:30:02  jasw
- ver 1.0pre3

Revision 1.19  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.18  2004/07/23 23:17:53  ankry
- cz -> cs, rel. 2

Revision 1.17  2004/05/13 10:26:58  wiget
- updated to 0.9r

Revision 1.16  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.15  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 12:59:02  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:48:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/21 14:19:03  wiget
- updated to 0.9n

Revision 1.11  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.10  2003/01/18 22:50:09  juandon
- removed two lines with define

Revision 1.9  2003/01/17 14:26:46  qboosh
- updated URLs

Revision 1.8  2002/11/29 23:35:19  ankry
- new %%doc

Revision 1.7  2002/10/11 14:51:37  wiget
- updated to 0.9m

Revision 1.6  2002/07/12 10:19:33  wiget
- updated to 0.9.k

Revision 1.5  2002/04/19 08:54:48  wiget
updated to 0.9g

Revision 1.4  2002/03/27 13:08:37  qboosh
- pl summary

Revision 1.3  2002/03/25 12:53:37  wiget
TODO

Revision 1.2  2002/03/25 12:45:59  wiget
URL and Source URL

Revision 1.1  2002/03/25 12:39:23  wiget
based on spec from tarball
